### Method

# GLib KeyFile load_from_data

since: 2.6

#### Declaration [src]

    gboolean
    g_key_file_load_from_data (
      GKeyFile* key_file,
      const gchar* data,
      gsize length,
      GKeyFileFlags flags,
      GError** error
    )

#### Description [src]

Loads a key file from memory into an empty `GKeyFile` structure.

If the object cannot be created then a [error@GLib.KeyFileError is returned.

Available since: 2.6

#### Parameters

`data`

  Type: `const gchar*`

  Key file loaded in memory.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gsize`

  The length of `data` in bytes (or `(gsize)-1` if data is nul-terminated).

`flags`

  Type: `GKeyFileFlags`

  Flags from `GKeyFileFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

True if a key file could be loaded, false otherwise.